// -*- mode: ObjC -*-

#ifndef _INCLUDED_AUTOGSDODCBACKEND_PROTOCOL_H
#define _INCLUDED_AUTOGSDODCBACKEND_PROTOCOL_H

/**
   <title>Protocol for autogsdoc backends</title>

   Copyright (C) 2003 Free Software Foundation, Inc.

   Written by: Willem Rein Oudshoorn <woudshoo@xs4all.nl>
   Created: Januari 2003

   This file is part of the GNUstep Project

   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   You should have received a copy of the GNU General Public
   License along with this program; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

#include "AGSIndex.h"

@protocol AGSBackendProtocol

- (void) setGlobalRefs: (AGSIndex*) globalRefs;
- (void) setProjectRefs: (AGSIndex*) projectRefs;
- (void) setLocalRefs: (AGSIndex*) localRefs;
- (NSString*) tableOfContents;

@end

#endif
